# $Revision: 1.19 $, $Date: 2008/07/27 22:35:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Getopt
%define		pnam	Auto
Summary:	Getopt::Auto - framework for command-line applications
Summary(pl.UTF-8):	Getopt::Auto - szkielet do aplikacji działających z linii poleceń
Name:		perl-Getopt-Auto
Version:	1.00
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f3362fa348d4ef2770b691d5d261f60d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Pod::Parser)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unix command line applications, rather than simple filters, are pretty
unpleasant to write; as well as actually writing the functionality,
there's the boring parsing of the command line arguments and so on. Even
with Getopt::Long or equivalent, you still have to dispatch the
appropriate commands to the right subroutines, write a --help and
--version handler, and so on. This module abstracts out that code,
leaving you free just to concentrate on the functional part.

%description -l pl.UTF-8
Uniksowe aplikacje działające z linii poleceń, bardziej niż proste
filtry, są dość nieprzyjemne przy pisaniu; oprócz właściwego pisania
funkcjonalności, jest jeszcze nudne analizowanie argumentów linii
poleceń itp. Nawet z użyciem Getopt::Long lub ekwiwalentu, nadal trzeba
przekierowywać odpowiednie polecenia do właściwych funkcji, pisać
obsługę --help i --version itd. Ten moduł umożliwia wyabstrahowanie
tego kodu, pozwalając skoncentrować się na części funkcjonalnej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Getopt-Auto.spec,v $
Revision 1.19  2008/07/27 22:35:46  arekm
- release 3

Revision 1.18  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:23  paladine
- formatting

Revision 1.15  2004/05/06 18:09:38  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.13  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.12  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.11  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.10  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:42  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:27  qboosh
- pl description

Revision 1.1  2003/02/15 21:48:03  radek
- new
